
locals {
  allow_version_upgrade = var.allow_version_upgrade
  apply_immediately = var.apply_immediately
  aqua_configuration_status = var.aqua_configuration_status
  authentication_profiles = var.authentication_profiles
  automated_snapshot_retention_period = var.automated_snapshot_retention_period
  availability_zone = var.availability_zone
  availability_zone_relocation_enabled = var.availability_zone_relocation_enabled
  cloudwatch_log_group_kms_key_id = var.cloudwatch_log_group_kms_key_id
  cloudwatch_log_group_retention_in_days = var.cloudwatch_log_group_retention_in_days
  cloudwatch_log_group_skip_destroy = var.cloudwatch_log_group_skip_destroy
  cloudwatch_log_group_tags = var.cloudwatch_log_group_tags
  cluster_identifier = var.cluster_identifier
  cluster_timeouts = var.cluster_timeouts
  cluster_version = var.cluster_version
  create = var.create
  create_cloudwatch_log_group = var.create_cloudwatch_log_group
  create_endpoint_access = var.create_endpoint_access
  create_parameter_group = var.create_parameter_group
  create_random_password = var.create_random_password
  create_scheduled_action_iam_role = var.create_scheduled_action_iam_role
  create_snapshot_schedule = var.create_snapshot_schedule
  create_subnet_group = var.create_subnet_group
  database_name = var.database_name
  default_iam_role_arn = var.default_iam_role_arn
  elastic_ip = var.elastic_ip
  encrypted = var.encrypted
  endpoint_name = var.endpoint_name
  endpoint_resource_owner = var.endpoint_resource_owner
  endpoint_subnet_group_name = var.endpoint_subnet_group_name
  endpoint_vpc_security_group_ids = var.endpoint_vpc_security_group_ids
  enhanced_vpc_routing = var.enhanced_vpc_routing
  final_snapshot_identifier = var.final_snapshot_identifier
  iam_role_arns = var.iam_role_arns
  iam_role_description = var.iam_role_description
  iam_role_name = var.iam_role_name
  iam_role_path = var.iam_role_path
  iam_role_permissions_boundary = var.iam_role_permissions_boundary
  iam_role_tags = var.iam_role_tags
  iam_role_use_name_prefix = var.iam_role_use_name_prefix
  kms_key_arn = var.kms_key_arn
  logging = var.logging
  maintenance_track_name = var.maintenance_track_name
  manage_master_password = var.manage_master_password
  manage_master_password_rotation = var.manage_master_password_rotation
  manual_snapshot_retention_period = var.manual_snapshot_retention_period
  master_password = var.master_password
  master_password_rotate_immediately = var.master_password_rotate_immediately
  master_password_rotation_automatically_after_days = var.master_password_rotation_automatically_after_days
  master_password_rotation_duration = var.master_password_rotation_duration
  master_password_rotation_schedule_expression = var.master_password_rotation_schedule_expression
  master_password_secret_kms_key_id = var.master_password_secret_kms_key_id
  master_username = var.master_username
  multi_az = var.multi_az
  node_type = var.node_type
  number_of_nodes = var.number_of_nodes
  owner_account = var.owner_account
  parameter_group_description = var.parameter_group_description
  parameter_group_family = var.parameter_group_family
  parameter_group_name = var.parameter_group_name
  parameter_group_parameters = var.parameter_group_parameters
  parameter_group_tags = var.parameter_group_tags
  port = var.port
  preferred_maintenance_window = var.preferred_maintenance_window
  publicly_accessible = var.publicly_accessible
  random_password_length = var.random_password_length
  scheduled_actions = var.scheduled_actions
  skip_final_snapshot = var.skip_final_snapshot
  snapshot_cluster_identifier = var.snapshot_cluster_identifier
  snapshot_copy = var.snapshot_copy
  snapshot_identifier = var.snapshot_identifier
  snapshot_schedule_definitions = var.snapshot_schedule_definitions
  snapshot_schedule_description = var.snapshot_schedule_description
  snapshot_schedule_force_destroy = var.snapshot_schedule_force_destroy
  snapshot_schedule_identifier = var.snapshot_schedule_identifier
  subnet_group_description = var.subnet_group_description
  subnet_group_name = var.subnet_group_name
  subnet_group_tags = var.subnet_group_tags
  subnet_ids = var.subnet_ids
  tags = var.tags
  usage_limits = var.usage_limits
  use_snapshot_identifier_prefix = var.use_snapshot_identifier_prefix
  vpc_security_group_ids = var.vpc_security_group_ids
}
